16 diciembre, 2018

¿Actualizar a WordPress 5.0? Gutenberg ya está aquí

Hoy traemos un artículo sobre una de las principales dudas del momento de todos los usuarios de WordPress. Hace pocos días salió a la luz la nueva versión WordPress 5.0.

Y la pregunta del millón es...

¿Debo actualizar a la nueva versión WordPress 5.0?

Nuestra recomendación es que NO ACTUALICES hasta dentro de varias semanas. Como mínimo, finales de Enero 2019.

¿Por qué no debo actualizar a WordPress 5.0?

La principal novedad que trae esta nueva versión de WordPress es el editor de bloques, llamado Gutenberg. Este nuevo editor de bloques, a día de hoy, es incompatible con ciertas plantillas (themes) y especialmente ciertos plugins, por lo que actualizar la versión de WordPress sin tener confirmación de los desarrolladores de themes/plugins previamente, es un riesgo muy importante a valorar.

De hecho, hay algunos desarrolladores que han pedido de manera expresa que, por el momento, no se actualice a WordPress 5.0:

  • WPML - Uno de los principales plugins de traducciones multiidioma
  • WP Backery Page Builder (Visual Composer)
  • Advanced Custom Fields (ACF)
  • Enfold - Unos de los principales themes de WordPress

Actualización 14.12.2018: A pocos días del lanzamiento de WordPress 5.0, salió una actualización de seguridad, la versión 5.0.1.

actualizacion wordpress 5.0.1

Ten en cuenta que hay muchos plugins que a día de hoy sí que son compatibles con esta nueva versión de WordPress: aquellos que no tienen nada que ver con el nuevo editor y no dependan de nada introducido en el editor. Ahora bien, la gran mayoría de plugins que interactúan con el editor (por ejemplo, generan shortcodes) son incompatibles.

Al ser una actualización mayor, WordPress no se actualizará automáticamente, por lo que la actualización se debe realizar manualmente desde el panel interno /wp-admin.

Es por ello que, por el momento, mejor esperar varias semanas a que la comunidad de WordPress y desarrolladores detecten las incompatibilidades y hagan los ajustes pertinentes para asegurar un correcto funcionamiento de la nueva versión de WordPress con la plantilla en uso y plugins.

Vale, leído y entendido, pero tarde para mí. Ya he actualizado a WordPress 5.0. ¿Qué hago?

  • La mejor solución es restaurar la última copia de seguridad que tuvieras antes de realizar la actualización a WordPress 5.0. De ahí la importancia de llevar un mantenimiento web activo de manera mensual.
  • Si no tuvieras copia de seguridad reciente, puedes volver a la versión anterior compatible con tu plantilla y plugins (antes de la versión 5):
    • Haz copia de seguridad completa (ficheros + BBDD).
    • Descarga la versión anterior 4.9.9 desde este enlace.
    • Sube la versión descargada (tienes que descomprimir primero el fichero .zip) desde FTP o Panel de acceso a servidor (Panel Plesk, CPanel, etc), excepto la carpeta wp-content. Importante no sustituir esta carpeta o perderías todo el contenido de tu web (y cuando digo todo el contenido, es todo el contenido).
    • Si tuvieras que actualizar las BBDD, tendrás que hacerlo desde http://tudominio.com/wp-admin/upgrade.php.

Vivo al límite y quiero actualizar a WordPress 5.0. ¿Cómo puedo hacerlo?

Si quieres actualizar, puedes hacerlo de una forma "segura" siguiendo estos pasos:

  1. Lo más importante: antes de hacer nada, haz una copia de seguridad completa de tu sitio web (ficheros + BBDD).
  2. Instala y activa el plugin No Gutenberg si tienes claro que, por el momento, no vas a usar el nuevo editor de bloques de esta nueva versión. También puedes activar el plugin Classic Editor para trabajar con el editor clásico.
  3. Accede a tu panel interno WordPress (wp-admin) y actualiza a la nueva versión. Crossing fingers!

imagen clasic editor wordpress

Ten en cuenta que si lo que estás buscando es trabajar con el nuevo editor de bloques de WordPress, se trata de un editor que todavía está muy lejos de otros plugins ya consolidados como Elementor o Visual Composer. Sus opciones de personalización son, por el momento, bastante limitadas y no ofrece tantas opciones como estos editores visuales. De cara a maquetar plataformas web conforme un diseño cerrado, no es una herramienta todavía viable para ello.

¡Esperamos que este post te haya servido de ayuda! 😉

¿Compartimos?
¿Te ha parecido interesante? ¿Quieres recibir más artículos como este?
Suscríbete a nuestro newsletter y recibe en tu email contenidos de valor 😉

Los campos señalados con (*) serán obligatorios. En caso de que no se cumplimenten, no se podrá proceder por parte de BILNEA DIGITAL, S.L. a la gestión de su solicitud.

Suscríbete

Artículos relacionados

29 mayo, 2013

¿Por qué las Pymes tienen que estar en las Redes Sociales?

18 agosto, 2015

10 medidas de seguridad eficaces para WordPress

Presentamos un listado de diez medidas de seguridad efectivas para blindar WordPress.

5 noviembre, 2013

Cómo preparar la campaña de Navidad en nuestra tienda online

    Deja un comentario

    Tu dirección de correo electrónico no será publicada. Los campos obligatorios están marcados con *